#include "preferences_window.h"


SHDesignerPreferences::SHDesignerPreferences(QWidget * parent): QDialog(parent), Ui::SHDesignerPreferences() {
	setupUi(this);
	//piConfigWidget->setColumnWidth(2, 300);
}


SHDesignerPreferences::~SHDesignerPreferences() {
}


void SHDesignerPreferences::accept() {
	piConfigWidget->write();
	QDialog::accept();
}


void SHDesignerPreferences::reject() {
	piConfigWidget->parse();
	piConfigWidget->buildTree();
	QDialog::reject();
}
